# getAssociatedTokenAddress

```javascript
(async() => {
    let associated_token_address_1 = await SOLPay.getAssociatedTokenAddress("TOKEN_ADDRESS"); // {"address": "..."}
    let associated_token_address_2 = await SOLPay.getAssociatedTokenAddress("TOKEN_ADDRESS", "SOLANA_ADDRESS"); // {"address": "..."}
})();
```

### Parameters:

* token\_address: string - the mint address of the token with which to get the associated address
* address (optional, default: connected wallet address): string - the Solana address with which to get the associated address

### Returns:

object (`{"address": "..."}`) - the details for the associated token account

* address: string - the address of the associated token account

### Throws:

* `SOL Pay SDK Fatal Error: Invalid token address ${token_address}.` - an invalid token address was used
* `SOL Pay SDK Fatal Error: Invalid address ${address}, and no wallet was connected. Use SOLPay.connectWallet() to connect to a Solana wallet.` - an invalid address was used, and no wallet was connected
* `SOL Pay SDK Fatal Error: No connection found. Use SOLPay.connectNetwork() to connect to the Solana network.` - could not find a connection to the Solana network
* `SOL Pay SDK Fatal Error: Connection did not respond. Use SOLPay.connectNetwork() to connect to the Solana network.` - did not receive response from Solana network


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/sdk-reference/get-associated-token-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
